Package org.h2gis.functions.spatial.edit

# Class ST_ZUpdateLineExtremities

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_ZUpdateLineExtremities

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ZUpdateLineExtremities extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ZUpdateLineExtremities()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`updateZExtremities(org.locationtech.jts.geom.Geometry geometry, double startZ, double endZ)`
`static org.locationtech.jts.geom.Geometry`
`updateZExtremities(org.locationtech.jts.geom.Geometry geometry, double startZ, double endZ, boolean interpolate)`
Update the start and end Z values.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ZUpdateLineExtremities

public ST_ZUpdateLineExtremities()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### updateZExtremities

public static org.locationtech.jts.geom.Geometry updateZExtremities(org.locationtech.jts.geom.Geometry geometry, double startZ, double endZ)

### updateZExtremities

public static org.locationtech.jts.geom.Geometry updateZExtremities(org.locationtech.jts.geom.Geometry geometry, double startZ, double endZ, boolean interpolate)
Update the start and end Z values. If the interpolate is true the vertices are interpolated according the start and end z values.

Parameters:
  `geometry` -
  `startZ` -
  `endZ` -
  `interpolate` -
Returns: